<template>
  <v-container fluid class="section-three-container">
    <v-row>
      <v-col cols="12">
        <h2 class="section-three">LOREM IPSUM</h2>
      </v-col>
    </v-row>

    <v-item-group selected-class="bg-primary">
      <v-container>
        <v-row>
          <v-col cols="12" md="4" v-for="item in products" :key="item.id">
            <v-item>
              <v-card class="card-shadow">
                <v-carousel
                  :continuous="false"
                  :show-arrows="false"
                  hide-delimiter-background
                  height="207"
                  delimiter-icon="fas fa-minus"
                >
                  <v-carousel-item
                    v-for="(slide, i) in item.images"
                    :key="i"
                    :src="item.images[i]"
                    height="200"
                  ></v-carousel-item>
                </v-carousel>

                <v-responsive min-height="180">
                  <v-card-title class="text-card-title">
                    {{ item.title }}
                  </v-card-title>

                  <v-card-text class="text--primary">
                    <div class="text-card-description">
                      {{ item.description }}
                    </div>
                  </v-card-text>
                </v-responsive>
              </v-card>
            </v-item>
          </v-col>
        </v-row>
      </v-container>
    </v-item-group>
  </v-container>
</template>
<script>
import axios from "axios";

export default {
  name: "SectionThree",
  data() {
    return {
      products: [],
    };
  },
  mounted() {
    axios
      .get("https://dummyjson.com/products?limit=3")
      .then((res) => {
        this.products = res.data.products;
        // console.log(this.products);
      })
      .catch((err) => {
        console.log(err.response.data.message);
      });
  },
};
</script>
<style scoped>
.section-three-container {
  height: 900px;
  background: #d9ef0c;
}
.section-three {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 700;
  font-size: 60px;
  line-height: 82px;

  text-align: center;
  letter-spacing: 0.02em;
  text-transform: capitalize;

  margin: 128px 0 64px 0;
  color: #000000;
}
.card-shadow {
  background: #ffffff;
  box-shadow: 0px 4px 25px rgba(0, 0, 0, 0.06);
  border-radius: 4px;
}
.text-card-title {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 600;
  font-size: 26px;
  line-height: 32px;
  margin-top: 28px;

  color: #000000;
}
.text-card-description {
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 130%;
  /* or 23px */

  color: #333333;
}
</style>
